
define service{
        hostgroup_name                  nodes
        service_description             Systemload
        check_command                   check_nrpe!check_load
        use                             generic-service
}
define service{
        hostgroup_name                  nodes
        service_description             Zombie processes
        check_command                   check_nrpe!check_zombie_procs
        use                             generic-service
}
define service{
        hostgroup_name                  nodes
        service_description             Total processes
        check_command                   check_nrpe!check_total_procs
        use                             generic-service
}
define service{
        hostgroup_name                  nodes
        service_description             Disk / free space
        check_command                   check_nrpe!check_rootfs_free
        use                             generic-service
}
#define service{
#        hostgroup_name                  nodes
#        service_description             Disk /boot/ free space
#        check_command                   check_nrpe!check_boot_free
#        use                             generic-service
#}
define service{
        hostgroup_name                  nodes
        service_description             Disk 1 healthy
        check_command                   check_nrpe!check_smart_1
        use                             generic-service
}
define service{
        hostgroup_name                  nodes
        service_description             Disk 2 healthy
        check_command                   check_nrpe!check_smart_2
        use                             generic-service
}
define service{
        hostgroup_name                  nodes
        service_description             Open files
        check_command                   check_nrpe!check_open_files
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             SSH
        check_command                   check_ssh
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             DHCP
        check_command                   check_nrpe!check_dhcp
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             Ping Cloudflare DNS IPv4
        check_command                   check_nrpe!check_ping_cf_dns_v4
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             Ping Cloudflare DNS IPv6
        check_command                   check_nrpe!check_ping_cf_dns_v6
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             Internal DNS
        check_command                   check_nrpe!check_internal_dns
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             Node Local DNS
        check_command                   check_nrpe!check_local_dns
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             Upstream DNS
        check_command                   check_nrpe!check_upstream_dns
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             NTP offset
        check_command                   check_nrpe!check_ntp_offset
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             Temperature
        check_command                   check_nrpe!check_sensors
        use                             generic-service
}

{{ if .Values.kubevirt_installed }}
define service {
        hostgroup_name                  nodes
        service_description             KVM resources
        check_command                   check_kvm_allocatable
        use                             generic-service
}
{{ end }}

define service {
        hostgroup_name                  nodes
        service_description             Free Memory
        check_command                   check_nrpe!check_memory
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             Free Swap
        check_command                   check_nrpe!check_swap
        use                             generic-service
}
define service {
        hostgroup_name                  nodes
        service_description             Reboot required
        check_command                   check_nrpe!check_reboot_required
        use                             generic-service
}
